# Class GameConfig

#### Hierarchy

- GameConfig

- Defined in assets/module/config/GameConfig.ts:11

#####
Index

### Constructors

constructor

### Properties

_data

### Accessors

bundleEnable
bundleName
bundleServer
bundleVersion
data
frameRate
httpServer
httpTimeout
language
languagePathJson
languagePathTexture
localDataIv
localDataKey
package
version

## Constructors

### constructor

- new GameConfig(config: any): GameConfig

- #### Parameters

  - ##### config: any

  #### Returns GameConfig

  - Defined in assets/module/config/GameConfig.ts:77

## Properties

### `Private` _data

_data: any = null

- Defined in assets/module/config/GameConfig.ts:71

## Accessors

### bundleEnable

- get bundleEnable(): string

- 是否启用远程资源

  #### Returns string

  - Defined in assets/module/config/GameConfig.ts:55

### bundleName

- get bundleName(): string

- 远程资源名

  #### Returns string

  - Defined in assets/module/config/GameConfig.ts:63

### bundleServer

- get bundleServer(): string

- 远程资源服务器地址

  #### Returns string

  - Defined in assets/module/config/GameConfig.ts:59

### bundleVersion

- get bundleVersion(): string

- 远程资源版本号

  #### Returns string

  - Defined in assets/module/config/GameConfig.ts:67

### data

- get data(): any

- 游戏配置数据

  #### Returns any

  - Defined in assets/module/config/GameConfig.ts:73

### frameRate

- get frameRate(): number

- 游戏每秒传输帧数

  #### Returns number

  - Defined in assets/module/config/GameConfig.ts:21

### httpServer

- get httpServer(): string

- Http 服务器地址

  #### Returns string

  - Defined in assets/module/config/GameConfig.ts:33

### httpTimeout

- get httpTimeout(): number

- Http 请求超时时间

  #### Returns number

  - Defined in assets/module/config/GameConfig.ts:37

### language

- get language(): string[]

- 获取当前客户端支持的语言类型

  #### Returns string[]

  - Defined in assets/module/config/GameConfig.ts:42

### languagePathJson

- get languagePathJson(): string

- 获取当前客户端支持的语言 Json 配置路径

  #### Returns string

  - Defined in assets/module/config/GameConfig.ts:46

### languagePathTexture

- get languagePathTexture(): string

- 获取当前客户端支持的语言纹理配置路径

  #### Returns string

  - Defined in assets/module/config/GameConfig.ts:50

### localDataIv

- get localDataIv(): string

- 本地存储内容加密 iv

  #### Returns string

  - Defined in assets/module/config/GameConfig.ts:29

### localDataKey

- get localDataKey(): string

- 本地存储内容加密 key

  #### Returns string

  - Defined in assets/module/config/GameConfig.ts:25

### package

- get package(): string

- 包名

  #### Returns string

  - Defined in assets/module/config/GameConfig.ts:17

### version

- get version(): string

- 客户端版本号配置

  #### Returns string

  - Defined in assets/module/config/GameConfig.ts:13

Generated using TypeDoc